Bug 851192 - abrt packages have a vendor tag different from all other fedora packages
abrt packages have a vendor tag different from all other fedora packages
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: abrt (Show other bugs)
17
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: abrt
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-23 09:16 EDT by Henrique Martins
Modified: 2012-12-20 11:02 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-20 11:02:33 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Henrique Martins 2012-08-23 09:16:52 EDT
Description of problem:
Not really a problem but abrt related packages have a Vendor tag of "fedora" when all other packages have a Vendor tag of "Fedora Project".

Version-Release number of selected component (if applicable):
abrt-2.0.10-4.fc17.x86_64
abrt-addon-ccpp-2.0.10-4.fc17.x86_64
abrt-addon-kerneloops-2.0.10-4.fc17.x86_64
abrt-addon-python-2.0.10-4.fc17.x86_64
abrt-addon-vmcore-2.0.10-4.fc17.x86_64
abrt-dbus-2.0.10-4.fc17.x86_64
abrt-desktop-2.0.10-4.fc17.x86_64
abrt-gui-2.0.10-4.fc17.x86_64
abrt-libs-2.0.10-4.fc17.x86_64
abrt-retrace-client-2.0.10-4.fc17.x86_64

How reproducible:
Always :-)

Steps to Reproduce:
1. rpm -q -i on any of the above packages.

Actual results:
Vendor : fedora

Expected results:
Vendor : Fedora Project

Additional info:
Curiously the Packager tag for all is "Fedora Package" just the Vendor is different from all the other rpms on my system
Comment 1 Jakub Filak 2012-08-24 03:40:23 EDT
Thanks for the report. We have accidently used a helper macro named 'vendor' :)

commit d8222a3719c22944e4569e013992103113bb8a52
Author: Jakub Filak <jfilak@redhat.com>
Date:   Fri Aug 24 09:37:02 2012 +0200

    rhbz#851192: correct Vendor tag
    
    - rename vendor helper macro to desktop-vendor
Comment 2 Fedora Update System 2012-09-24 10:30:53 EDT
abrt-2.0.13-1.fc18,libreport-2.0.14-1.fc18,btparser-0.19-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/abrt-2.0.13-1.fc18,libreport-2.0.14-1.fc18,btparser-0.19-1.fc18
Comment 3 Fedora Update System 2012-09-24 16:02:59 EDT
Package abrt-2.0.13-1.fc18, libreport-2.0.14-1.fc18, btparser-0.19-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing abrt-2.0.13-1.fc18 libreport-2.0.14-1.fc18 btparser-0.19-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-14679/abrt-2.0.13-1.fc18,libreport-2.0.14-1.fc18,btparser-0.19-1.fc18
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2012-09-25 06:05:11 EDT
abrt-2.0.13-1.fc17,libreport-2.0.14-1.fc17,btparser-0.19-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/abrt-2.0.13-1.fc17,libreport-2.0.14-1.fc17,btparser-0.19-1.fc17
Comment 5 Henrique Martins 2012-09-28 19:52:29 EDT
The FC17 versions of abrt-* seem to have hit the repos I update from today, and the Vendor strings is now in line with all other Fedora packages.
Comment 6 Fedora Update System 2012-12-20 11:02:37 EST
abrt-2.0.13-1.fc18, libreport-2.0.14-1.fc18, btparser-0.19-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.